namespace eval laminatebuttons {

variable laminate

}
proc laminatebuttons::initbuttons { op args } {

variable laminate    
    switch $op {
	"INIT" {
	    set PARENT [lindex $args 0]
	    upvar [lindex $args 1] ROW
	    set GDN [lindex $args 2]
	    set STRUCT [lindex $args 3]
	    set cmd "GidOpenMaterials Laminate_shell"
	    set llaminate [label $PARENT.llaminate -text "Laminate" -justify left]
	    set blaminate [Button $PARENT.blaminate -text "Create/Edit" -helptext "Open a window to create or edit\na new laminate shell" \
		    -command $cmd]
	    set cblaminate [ComboBox $PARENT.cblaminate -textvariable laminatebuttons::laminate \
		    -editable false -values ""]
	    $cblaminate configure -postcommand "laminatebuttons::updatecblaminate $cblaminate"
	    grid $llaminate -column 0 -row $ROW -sticky ne -pady 10
	    grid $cblaminate -column 1 -row $ROW -sticky nw -pady 10
	    grid $blaminate -column 1 -row [expr $ROW+1] -sticky nw          
	}
	"SYNC" {
	    set GDN [lindex $args 0]
	    set STRUCT [lindex $args 1]
	    upvar \#0 $GDN GidData 
	    if { $laminate != "" } {
	    DWLocalSetValue $GDN $STRUCT  "Laminate" $laminate
	    } else {
		WarnWin "Select a laminate shell before to assign condition" 
	    }

	}
	"CLOSE" {
	    set laminate ""    
	}
    }
}
proc laminatebuttons::updatecblaminate { cb } {
    
    set values ""
    set aux [ .central.s info materials]
     foreach elem $aux {
	if { [.central.s info materials $elem BOOK] == "Laminate_shell" } {
	    lappend values  $elem
	}
    }
    $cb configure -values $values
} 
     