*RealFormat "%.6g"
*IntFormat "%7i"
problem type 3d
*set var dim=3
# meassure(SI) = fac** meassure(User defined)
units_names
N-m       N    m  Pa         1.0       1.0      1.0
N-cm      N   cm  N/cm2      1.0       1.0e-2   1.0e4
N-mm      N   mm  N/mm2      1.0       1.0e-3   1.0e6
Kp-cm     Kp  cm  Kp/cm2     1.0e1     1.0e-2   1.0e5
kN-m-MPa  kN   m  Mpa        1.0e3     1.0      1.0e6
end units_names
units_mesh *GenData(Mesh_units)
units_res *GenData(Results_units)

combined_load_cases
*if(strcmp(GenData(Activate_Load_Cases),"none")==0)
inactive
*else
active
*endif
*for(i=1;i<=GenData(Combined_load_cases,INT);i=i+3)
*set var im1=i+1
*set var im2=i+2
combined_load *\
name=*GenData(Combined_load_cases,*i) type=*\
*if(GenData(Combined_load_cases,*im1,INT)==1)
strengths
*else
deformation
*endif
*GenData(Combined_load_cases,*im2)
end combined_load
*endfor
end combined_load_cases

GravityDirection=*GenData(Gravity_X) *GenData(Gravity_Y) *GenData(Gravity_Z)
*if(strcmp(Gendata(Solver_type),"Automatic")==0)
solver=Automatic
*elseif(strcmp(Gendata(Solver_type),"SkyLine")==0)
solver=SkyLine
*elseif(strcmp(Gendata(Solver_type),"Sparse")==0)
solver=SparseToni *GenData(Solver_tolerance) *GenData(Solver_tolerance_minimum) *\
*GenData(Solver_max_iterations)
*elseif(strcmp(Gendata(Solver_type),"Sparse_Toni")==0)
solver=SparseToni *GenData(Solver_tolerance) *GenData(Solver_tolerance_minimum) *\
*GenData(Solver_max_iterations)
*endif
*if(GenData(Smooth_per_material,int)==1)
DoSmoothingMaterials
*endif
NewPostProcessFormat 1
*if(nelem(All)!=nelem(Tetrahedra))
*MessageBox error: Only tetrahedra elements are permitted.
*endif
*set cond Solid *elems
*if(CondNumEntities<nelem(Tetrahedra))
Number of tetrahedra elements: *nelem(Tetrahedra)
Number of elements with condition solid: *CondNumEntities
*MessageBox error: Some tetrahedras do not have properties condition assigned. Check file .dat for more information. Use command 'Data->Verify assigned properties'
*endif
*if(nelem(Tetrahedra)==0)
*MessageBox error: There are no tetrahedras to calculate.
*endif
mesh dimension = 3 elemtype Tetrahedra nnode = *nnode
coordinates
*loop nodes
*NodesNum *NodesCoord(1) *NodesCoord(2) *NodesCoord(3)
*end
end coordinates
elements
*loop elems *OnlyInCond
*elemsnum *elemsConec *ElemsLayerNum Units=*cond(Units) E=*cond(E) nu=*cond(nu) *\
Weight=*cond(Specific_weight)
*end elems
end elements
*#--------------------------------------------------------------------------------
*#  constraints
*#--------------------------------------------------------------------------------
constraints
*set cond Surface_Constraints
*add Cond Line_Constraints
*add Cond Point_Constraints
*loop nodes *OnlyInCond
*NodesNum *\
*for(ivar=2;ivar<=4;ivar=ivar+1)
*cond(*ivar)*\
*endfor
*format " %g %g %g "
*cond(5,real)*cond(6,real)*cond(7,real)*\
 units=*cond(Units) *\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end
end constraints
*set Cond Surface_Elastic_Constraints *CanRepeat
*if(CondNumEntities(int)>0)
elem_constraints
*loop elems *OnlyInCond
*ElemsNum *Operation(LocalNodes(1)-1) *\
*for(ivar=2;ivar<=7;ivar=ivar+1)
*if(strcmp(cond(*ivar),"1")==0)
2*\
*else
0*\
*endif
*endfor
*format " %g %g %g %g %g %g"
*cond(9,real)*cond(10,real)*cond(11,real)*cond(12,real)*cond(13,real)*cond(14,real)*\
 units=*cond(Units) *\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end
end elem_constraints
*endif
*#--------------------------------------------------------------------------------
*#  loads
*#--------------------------------------------------------------------------------
*loop intervals
*Set Cond Punctual_Load
*if(CondNumEntities(int)>0)
nodal_point_loads
*loop nodes *OnlyInCond
*NodesNum *cond(X_Force) *cond(Y_Force) *cond(Z_Force) *\
Units=*cond(Units) name=*IntvData(Interval_name)
*end
end nodal_point_loads
*endif

*Set Cond Global_Pressure_Load *elems *CanRepeat
*if(CondNumEntities(int)>0)
global_pressure_loads
*loop elems *OnlyInCond
*elemsnum *Operation(LocalNodes(1)-1) *cond(X_Pressure) *cond(Y_Pressure) *cond(Z_Pressure) *\
Units=*cond(Units) name=*IntvData(Interval_name)
*end
end global_pressure_loads
*endif
*Set Cond Global_Projected_Pressure_Load *elems *CanRepeat
*if(CondNumEntities(int)>0)	
global_projected_pressure_loads
*loop elems *OnlyInCond
*elemsnum *Operation(LocalNodes(1)-1) *cond(X_Pressure) *cond(Y_Pressure) *cond(Z_Pressure) *\
Units=*cond(Units) name=*IntvData(Interval_name)
*end
end global_projected_Pressure_loads
*endif
*Set Cond Local_Pressure_Load *elems *CanRepeat
*if(CondNumEntities(int)>0)
local_pressure_loads
*loop elems *OnlyInCond
*elemsnum *Operation(LocalNodes(1)-1) 0.0 0.0 *cond(Normal_inwards) *\
Units=*cond(Units) name=*IntvData(Interval_name)
*end
end local_pressure_loads
*endif
*Set Cond Self_weight_solid
*if(CondNumEntities(int)>0)
self_weight_loads
*loop elems *OnlyInCond
*elemsnum name=*IntvData(Interval_name)
*end
end self_weight_loads
*endif
*Set Cond Solid_triangular_Load *elems *CanRepeat
*if(CondNumEntities(int)>0)
triangular_global_loads
*loop elems *OnlyInCond
*elemsnum *Operation(LocalNodes(1)-1) *cond(X_pressure_1) *cond(Y_pressure_1) *\
*cond(Z_pressure_1) *cond(X_pressure_2) *cond(Y_pressure_2) *cond(Z_pressure_2) *\
p *cond(X_point_1) *cond(Y_point_1) *cond(Z_point_1) *cond(X_point_2) *cond(Y_point_2) *\
*cond(Z_point_2) *\
Units=*cond(Units) name=*IntvData(Interval_name) *\
*if(LocalAxesNum)
*format " Euler1=%.15g Euler2=%.15g Euler3=%.15g"
*LocalAxesDef(EulerAngles)
*else

*endif
*end
end triangular_global_loads
*endif
*Set Cond Solid_hydrostatic_Load *elems *CanRepeat
*if(CondNumEntities(int)>0)
hydrostatic_loads
*loop elems *OnlyInCond
*elemsnum *Operation(LocalNodes(1)-1) *cond(Reference_coordinate) *cond(Self_weight_water) *\
Units=*cond(Units) name=*IntvData(Interval_name)
*end
end hydrostatic_loads
*endif
*end intervals
